//pub mod common;
mod angle_optimisation;
mod flip_horizontal;
mod flip_vertical;
mod grid;
mod homography;
mod replicate;
mod rotate;
mod translate;

use crate::point::Point;
use crate::worldstate::WorldState;

// re-export transformers to be abe to use it directly from transformer::
pub use self::homography::Homography;
pub use angle_optimisation::AngleOptimisation;
pub use flip_horizontal::FlipHorizontal;
pub use flip_vertical::FlipVertical;
pub use grid::Grid;
pub use replicate::Replicate;
pub use rotate::Rotate;
pub use translate::Translate;

pub trait Transformers {
    fn apply(&self, point_list: &[Point], world_state: &WorldState) -> Vec<Point>;
}
